nvme_virtual_mgmt(2)

NAME
nvme_virtual_mgmt - Virtualization resource management

SYNOPSIS
int nvme_virtual_mgmt (struct nvme_virtual_mgmt_args *args );

ARGUMENTS

args
    struct nvme_virtual_mgmt_args argument structure

DESCRIPTION
The Virtualization Management command is supported by primary controllers that support the Virtualization Enhancements capability. This command is used for several functions:

- Modifying Flexible Resource allocation for the primary controller - Assigning Flexible Resources for secondary controllers - Setting the Online and Offline state for secondary controllers

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.